Name: libcaca
Version: 0.9
Release: alt1
Url: http://sam.zoy.org/projects/libcaca/
Source: http://sam.zoy.org/projects/libcaca/%name-%version.tar.bz2
License: LGPL
Group: System/Libraries
Packager: Vitaly Smirnov <device@altlinux.org>

Summary: Text mode graphics library
# Automatically added by buildreq on Tue Jun 14 2005
BuildRequires: cm-super-fonts-pfb cm-super-fonts-tex-dvips doxygen freetype2-devel imlib2-devel libncurses-devel libslang-devel libtinfo-devel tetex-core tetex-dvips tetex-latex xorg-x11-devel-static zlib-devel

%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

%package devel
Summary: Development files for libcaca
Group: Development/C
Requires: XFree86-devel, ncurses-devel >= 5, slang-devel
Provides: %name-devel = %version-%release
%description devel
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to
compile applications or shared objects that use libcaca.

%package -n caca-utils
Summary: Text mode graphics utilities
Group: Graphics
%description -n caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%prep
case "${RPM_COMMAND:-all}" in
all)
%setup -q
;;esac

%build
case "${RPM_COMMAND:-all}" in
all)
%configure \
	--enable-slang \
	--enable-ncurses \
	--enable-x11 \
	--enable-imlib2 \
	--enable-doc
;;esac
make

%install
mv doc/man/man3caca doc/man/man3
%makeinstall
mv %buildroot/%_mandir/man3 %buildroot/%_mandir/man3caca
mv %buildroot/%prefix/share/doc/libcaca-dev %buildroot/%prefix/share/doc/libcaca-devel-%version
mkdir %buildroot/%prefix/share/doc/caca-utils-%version
cp `find %buildroot/%prefix/share/doc/libcaca-devel-%version/ -name '[A-Z]*'` %buildroot/%prefix/share/doc/caca-utils-%version/

%files devel
%_libdir/*
%_bindir/caca-config
%prefix/include/*
%doc %_docdir/libcaca-devel-%version/*
%_mandir/man1/caca-config.1*
%_mandir/man3caca/*

%files -n caca-utils
%_bindir/cacaball
%_bindir/cacademo
%_bindir/cacafire
%_bindir/cacamoir
%_bindir/cacaplas
%_bindir/cacaview
%doc %_docdir/caca-utils-%version/*
%_datadir/libcaca/*
%_mandir/man1/cacaball.1*
%_mandir/man1/cacademo.1*
%_mandir/man1/cacafire.1*
%_mandir/man1/cacamoir.1*
%_mandir/man1/cacaplas.1*
%_mandir/man1/cacaview.1*
%changelog
* Fri Jun 10 2005 Vitaly Smirnov <device@altlinux.org> 0.9-alt1
- Inital build
